Bug 1279062 - System freezes after opening Display Settings with dual Monitor attached [NEEDINFO]
System freezes after opening Display Settings with dual Monitor attached
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-07 10:37 EST by Lennard
Modified: 2016-10-26 12:56 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:56:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (mrlenat)


Attachments (Terms of Use)

  None (edit)
Description Lennard 2015-11-07 10:37:14 EST
Description of problem:
I am having troubles with my secondary monitor (Dell U2713H) attached over mini Display and docking station to my Thinkpad T540p.
First it is impossible to arrange the Dell right over the Laptop, every time I tried it, the system crashed totally.
After reboot the same thing happens every time I open the Display Settings.
I am working with a fresh install of fedora 23, but experienced the same thing with 22 already.

Having arranged myself with that the actual problem is that every time the System goes to sleep, or gets locked, the external monitor won't wake up again.
Reboot activates it again.
Also disconnecting it from the docking station and reconnect won't help.

Bug also appears when switching to tty2 and back to tty1.

Version-Release number of selected component (if applicable):


How reproducible:
every time The system goes to sleep when attached to the docking station the secondary monitor won't wake up again.

Steps to Reproduce:
1. Send system to sleep (lock)
2. wake up again
3. secondary monitor can be reached by mouse but won't get visible

Actual results:
secondary monitor black

Expected results:
secondary monitor useful

Additional info:
with before 4.2 it was possible fix this by disconnecting the system from the docking station and reconnecting it.
Tested with gnome and cinnamon.

I am sorry but I don't know to which component this bug belongs.
Comment 1 Jeremy Eder 2015-11-09 19:47:41 EST
ThinkPad T450s

[root@jerms-laptop 0]# uname -r
4.4.0-0.rc0.git4.2.fc24.x86_64
[root@jerms-laptop 0]# cat i915_dp_mst_info
	mst: ffff880348c37960, 0
	port: 3: ddps: 1 ldps: 1, ffff8800365c6800, conn: ffff8800365c7000
	port: 2: ddps: 1 ldps: 1, ffff8800365c5000, conn: ffff8800365c5800
	port: 1: ddps: 0 ldps: 0, ffff8800365c3800, conn: ffff8800365c4000
	port: 0: ddps: 1 ldps: 0, ffff8800365c3000, conn:           (null)
vcpi: 7 3
vcpi 0: 2 1 14
vcpi 1: 3 2 14
vcpi 2:unsed
payload 0: 2, 1, 14
payload 1: 2, 15, 14
payload 2: 0, 29, 0
dpcd: 12 14 c4 01 00 15 01 83 02 00 00 00 00 00 04 
faux/mst: 00 01 
mst ctrl: 07 
branch oui: 90cc24 devid: SYNA revision: hw: 1.0 sw: 2.11
payload table: 03 01 01 01 01 01 01 01 01 01 01 01 01 01 01 02 02 02 02 02 02 02 02 02 02 02 02 02 02 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 



00:02.0 VGA compatible controller: Intel Corporation Broadwell-U Integrated Graphics (rev 09) (prog-if 00 [VGA controller])
        Subsystem: Lenovo Device 5036
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 44
        Region 0: Memory at e0000000 (64-bit, non-prefetchable) [size=16M]
        Region 2: Memory at c0000000 (64-bit, prefetchable) [size=512M]
        Region 4: I/O ports at 3000 [size=64]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
                Address: fee0f00c  Data: 4142
        Capabilities: [d0] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [a4] PCI Advanced Features
                AFCap: TP+ FLR+
                AFCtrl: FLR-
                AFStatus: TP-
        Kernel driver in use: i915
        Kernel modules: i915
Comment 2 Matthias Runge 2015-11-13 03:57:43 EST
This kernel fixes the issue for me:
http://koji.fedoraproject.org/koji/buildinfo?buildID=695636
Comment 3 Jeremy Eder 2015-11-13 08:44:07 EST
Also seems to be fixed with 4.4.0-0.rc0.git4.2.fc24.x86_64.
Comment 4 Lennard 2015-11-29 09:27:10 EST
Switched to rawhide today.
Now the secondary monitor does not work at all anymore.
I switched to tty2 and read the following:

[drm:drm_dp_get_mst_branch_device [drm_kms_helper]] *ERROR* failed to lookup MSTB with lct 2, rad 00
nouveau /*address*/: prove: HUB0 /*address*/
nouveau /*address*/: prove: GPC0 /*address*/

I just typed this by hand thats why I left out the bunch of numbers that looked like addresses to me.
The second monitor is not detected in the system settings.
Did you guys use rawhide?

here the information Jeremy Eder posted about his system:

[root@zepilon /]# uname -r
4.4.0-0.rc2.git2.1.fc24.x86_64

[root@zepilon /]# cat /sys/kernel/debug/dri/0/i915_dp_mst_info 
	mst: ffff880428480060, 0
	port: 3: ddps: 0 ldps: 0, ffff88040920f000, conn: ffff88040920f800
	port: 2: ddps: 1 ldps: 0, ffff88040920b000, conn: ffff88040920d800
		mst: ffff880428480960, 0
		port: 1: ddps: 0 ldps: 0, ffff88040920c800, conn: ffff88040920d000
		port: 8: ddps: 1 ldps: 0, ffff88040920a800, conn: ffff88040920a000
		port: 0: ddps: 1 ldps: 0, ffff88040920b800, conn:           (null)
	port: 1: ddps: 0 ldps: 0, ffff880409209000, conn: ffff880409208800
	port: 0: ddps: 1 ldps: 0, ffff880409208000, conn:           (null)
vcpi: 1 0
vcpi 0:unsed
vcpi 1:unsed
vcpi 2:unsed
payload 0: 0, 1, 0
payload 1: 0, 1, 0
payload 2: 0, 0, 0
dpcd: 12 14 c4 01 00 15 01 83 02 00 00 00 00 00 04 
faux/mst: 00 01 
mst ctrl: 07 
branch oui: 90cc24 devid: SYNA revision: hw: 1.0 sw: 2.11
payload table: 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
Comment 5 Laura Abbott 2016-09-23 15:48:57 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 6 Laura Abbott 2016-10-26 12:56:48 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.